#Q2: Jonathan Jeon
import board
import neopixel
import math
import time
import digitalio
import adafruit_lis3dh
import busio
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

strip_pin = board.A1
leds_on_strip = 30
strip = neopixel.NeoPixel(strip_pin, leds_on_strip, brightness = 0.5, auto_write=True)
pixels = neopixel.NeoPixel(board.NEOPIXEL, 10, brightness = 0.5, auto_write = True)

speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)

path = "sounds/"

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pixels.fill(COLOR)
            strip.fill(COLOR)
            time.sleep(1.5)
            strip.fill((0,0,0))
            pixels.fill((0,0,0))

i2c = busio.I2C(board.ACCELEROMETER_SCL, board.ACCELEROMETER_SDA)
int1 = digitalio.DigitalInOut(board.ACCELEROMETER_INTERRUPT)
accelerometer = adafruit_lis3dh.LIS3DH_I2C(i2c, address = 0x19, int1=int1)
accelerometer.range = adafruit_lis3dh.RANGE_8_G

accelerometer.set_tap(2, 20)

while True:
    x, y, z = accelerometer.acceleration
    print((x, y, z))
    if (-.5< x and x < 4.5) and (-2.8< y and y < -1):
        COLOR = (0,0,255)
        play_sound('cross.1.wav')
    if x < -7 and (-2.5< y and y < 1):
        COLOR = (255,255,0)
        play_sound('hook.wav')
    if (-3.5 <x and x< -2) and (-10.5< y and y < -8.5):
        COLOR = (255,0,0)
        play_sound('siren.wav')
    time.sleep(0.1)
